Skip to main content
`Ctrl`+`K`

# Using silx widgets in Qt Designer

It is possible to use `silx.gui` widgets (and in general widgets based on PyQt) from the Qt Designer.

The following `silx.gui` widgets are available in the Qt Designer:

- `silx.gui.plot.Plot1D`

- `silx.gui.plot.Plot2D`

- `silx.gui.plot.PlotWidget`

- `silx.gui.plot.PlotWindow`

## Pre-requisite

The following software must be installed:

- Qt with the Qt Designer.

- Python.

- PyQt with the designer plugin.

- The `silx` Python package and its dependencies. `silx.gui.plot` widgets require matplotlib.

## Usage

The PYQTDESIGNERPATH environment variable defines the search paths for plugins enabling the use of PyQt widgets in the Qt designer.

To access `silx.gui` widgets from within Qt designer, under Linux, type from the command line:

    PYQTDESIGNERPATH=<silx_designer_plugin_dir> designer

See “using Qt Designer” in the PyQt documentation.